Loading...
Searching...
No Matches
usrp_info.h File Reference
`#include <uhd/config.h>`
`#include <uhd/error.h>`
Include dependency graph for usrp_info.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | uhd_usrp_rx_info_t
| USRP RX info. More...
struct | uhd_usrp_tx_info_t
| USRP TX info. More...

## Functions

UHD_API uhd_error | uhd_usrp_rx_info_free (uhd_usrp_rx_info_t *rx_info)
| Clean up a uhd_usrp_rx_info_t populated by uhd_usrp_get_rx_info().
UHD_API uhd_error | uhd_usrp_tx_info_free (uhd_usrp_tx_info_t *tx_info)
| Clean up a uhd_usrp_tx_info_t populated by uhd_usrp_get_tx_info().

## Function Documentation

## uhd_usrp_rx_info_free()

UHD_API uhd_error uhd_usrp_rx_info_free | ( | uhd_usrp_rx_info_t * | rx_info | ) |

Clean up a uhd_usrp_rx_info_t populated by uhd_usrp_get_rx_info().

NOTE: If this function is passed a uhd_usrp_rx_info_t that has not been populated by uhd_usrp_get_rx_info(), it will produce a double-free error.

## uhd_usrp_tx_info_free()

UHD_API uhd_error uhd_usrp_tx_info_free | ( | uhd_usrp_tx_info_t * | tx_info | ) |

Clean up a uhd_usrp_tx_info_t populated by uhd_usrp_get_tx_info().

NOTE: If this function is passed a uhd_usrp_tx_info_t that has not been populated by uhd_usrp_get_tx_info(), it will produce a double-free error.